package com.guadou.authrunalone

import android.os.Bundle
import android.widget.TextView
import com.guadou.lib_baselib.base.activity.BaseVMActivity
import com.guadou.lib_baselib.base.vm.EmptyViewModel
import com.guadou.lib_baselib.ext.click
import com.hongyegroup.cpt_auth.ui.UserLoginActivity
import dagger.hilt.android.AndroidEntryPoint

/**
 * 兼职模块的单独运行登录页面
 */
@AndroidEntryPoint
class AuthRunAloneActivity : BaseVMActivity<EmptyViewModel>() {

    private lateinit var mBtnLogin: TextView

    override fun getLayoutIdRes(): Int = R.layout.activity_auth_run_alone

    override fun init(savedInstanceState: Bundle?) {

        initView()
        initListener()

    }

    private fun initListener() {
        mBtnLogin.click {
            gotoRealPage()
        }
    }

    private fun initView() {
        mBtnLogin = findViewById(R.id.btn_login)
    }

    override fun startObserve() {
    }

    private fun gotoRealPage() {
        UserLoginActivity.startInstance()
        finish()
    }

}